package com.ibm.mq.data;

/**
 * This class is an object for Reason Code.  
 *
 * @author Roger Lacroix, Capitalware Inc.
 * @version 1.0.0
 * @license Apache 2 License
 */
public class ReasonCode
{
   private int rc;
   private String rcSymbol;
   private String explanation;
   private String compCode;
   private String progResp;
   
   /**
    * The construct
    * @param rc
    * @param rcSymbol
    * @param compCode
    * @param explanation
    * @param progResp
    */
   public ReasonCode(int rc, String rcSymbol, String compCode, String explanation, String progResp)
   {
      super();
      
      this.rc = rc;
      this.rcSymbol = rcSymbol;
      this.compCode = compCode;
      this.explanation = explanation;
      this.progResp = progResp;
   }
 
   /**
    * Retrieve the reason code value.
    * @return rc
    */
   public int getRC()
   {
      return rc;
   }
   
   /**
    * Retrieve the reason code symbol.
    * @return rcSymbol
    */
   public String getRCSymbol()
   {
      return rcSymbol;
   }

   /**
    * Retrieve the explanation for a reason code.
    * @return explanation
    */
   public String getExplanation()
   {
      return explanation;
   }

   /**
    * Retrieve the completion code for a reason code.
    * @return compCode
    */
   public String getCompCode()
   {
      return compCode;
   }
   
   /**
    * Retrieve the programmer response for a reason code.
    * @return progResp
    */
   public String getProgResp()
   {
      return progResp;
   }
}
